summaryrefslogtreecommitdiff
path: root/tools/linux_packaging/noderun
diff options
context:
space:
mode:
Diffstat (limited to 'tools/linux_packaging/noderun')
-rw-r--r--tools/linux_packaging/noderun20
1 files changed, 20 insertions, 0 deletions
diff --git a/tools/linux_packaging/noderun b/tools/linux_packaging/noderun
new file mode 100644
index 0000000000..6041aabf44
--- /dev/null
+++ b/tools/linux_packaging/noderun
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+BASE=$1
+
+if [ x$BASE = "x" ] ; then
+ exit 1
+fi
+
+cd $BASE || exit 1
+svn update || exit 1
+./waf configure --strict || exit 1
+./waf || exit 1
+cd tools/linux_packaging || exit 1
+./build --public || exit 1
+file=`ls -t *.bz2 | head -1`
+cp $file $BASE/../vmshare || exit 1
+exit 0
+
+
+